Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA039] DSA-039-1 glibc


Vulnerability Assessment Details

[DSA039] DSA-039-1 glibc

Vulnerability Assessment Summary
DSA-039-1 glibc

Detailed Explanation for this Vulnerability Assessment
The version of GNU libc that was distributed with Debian
GNU/Linux 2.2 suffered from 2 security problems:


It was possible to use LD_PRELOAD to load libraries that are listed in
/etc/ld.so.cache, even for suid programs. This could be used to create (and
overwrite) files which a user should not be permited to.
By using LD_PROFILE suid programs would write data to a file to /var/tmp,
which was not done safely. Again, this could be used to create (and overwrite)
files which a user should not have access to.


Both problems have been fixed in version 2.1.3-17 and we recommend that
you upgrade your glibc packages immediately.

Please note that a side-effect of this upgrade is that ldd will no longer
work on suid programs, unless you logged in as root.



Solution : http://www.debian.org/security/2001/dsa-039
Network Security Threat Level: High

Networks Security ID: 2223

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

CybertronPC - Palladium Desktop - Intel Core i5 - 8GB Memory - NVIDIA GeForce...
$799.99
CybertronPC - Palladium Desktop - Intel Core i5 - 8GB Memory - NVIDIA GeForce... pictureCybertronPC - Lazer Desktop - AMD Athlon - 4GB Memory - 500GB Hard Drive - Black
$389.99
CybertronPC - Lazer Desktop - AMD Athlon - 4GB Memory - 500GB Hard Drive - Black pictureDell - Latitude 12.5" Refurbished Laptop - Intel Core i5 - 8GB Memory - 128GB...
$284.99
Dell - Latitude 12.5CybertronPC - Desktop - AMD FX-Series - 16GB Memory - NVIDIA GeForce GTX 950 ...
$699.99
CybertronPC - Desktop - AMD FX-Series - 16GB Memory - NVIDIA GeForce GTX 950 ... picture


Discussions

No Discussions have been posted on this vulnerability.